- X Window client connection

X Window server
Options

Show version changes

# X Window client connection

The communication between the XmetaX proxy and the X Window clients uses TCP/IP, UNIX domain sockets or other local transport mechanisms. Clients connect to a certain communication port of the machine which executes the xmetax program. The port number is specified indirectly through the display number with the statement

    connection client_connection

or (however only as very first statement)

    client_connection

This statement may include a fully qualified X Window display specifier (protocol/hostname:display_number.screen_number). However, only the display number is relevant. The second form of the statement allows to combine the XmetaX proxy with smart start-up programs like openwin (With openwin under Oracle Solaris).

For seamlessly integrating the proxy into an existing X Window environment — the X Window clients continue to connect themselves to :0 —, the default value :0 of this parameter should not be changed. Since two servers cannot share a common communication port, the X Window server must be configured with a different display number (Display connection).

top
X Window server
Options

Copyright © 2016 X-Software GmbH
info@x-software.com
2009-07-30 14:44:05 +0200